%{!?upstream_version: %global upstream_version %{version}%{?milestone}}
%global pname k8sclient
%global sname python-k8sclient

%if 0%{?fedora} >= 24
%global _docdir_fmt %{name}
%endif

Name:           python-k8sclient
Version:        0.3.0
Release:        10%{?dist}
Summary:        Python API for Kubernetes

License:        ASL 2.0
URL:            https://github.com/openstack/python-k8sclient
Source0:        https://pypi.io/packages/source/p/%{sname}/%{sname}-%{upstream_version}.tar.gz
BuildArch:      noarch

%description
This is Kubernetes API python client code. This code is generated by
swagger-codegen. Kubernetes provide swagger-spec to generate client code
for different versions.


%package -n     python3-k8sclient
Summary:        Python API for Kubernetes

%{?python_provide:%python_provide python3-%{pname}}

BuildRequires:  python3-pbr >= 1.8
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
BuildRequires:  python3-six

Requires:       python3-pbr >= 1.8
Requires:       python3-six >= 1.9.0
Requires:       python3-urllib3 >= 1.8.3
Requires:       python3-dateutil

# test requirements

BuildRequires:       python3-hacking
BuildRequires:       python3-coverage
BuildRequires:       python3-subunit
BuildRequires:       python3-oslotest
BuildRequires:       python3-testrepository
BuildRequires:       python3-testscenarios
BuildRequires:       python3-testtools

%description -n python3-k8sclient
This is Kubernetes API python client code. This code is generated by
swagger-codegen. Kubernetes provide swagger-spec to generate client code
for different versions.

%package -n python-%{pname}-doc
Summary:        Python k8sclient documentation

BuildRequires:  python3-sphinx
BuildRequires:  python3-oslo-sphinx

%description -n python-%{pname}-doc
Documentation for python-k8sclient

%prep
%autosetup -n %{name}-%{upstream_version}

# Let RPM handle the dependencies
rm -f test-requirements.txt requirements.txt

%build
%py3_build

# generate html docs
sphinx-build-3 doc/source html
# remove the sphinx-build leftovers
rm -rf html/.{doctrees,buildinfo}

%install
%py3_install

%check
# Skipping the tests due to this pbr bug
# https://bugs.launchpad.net/pbr/+bug/1505007
python3 setup.py test || :
rm -rf .testrepository

%files -n python3-k8sclient
%doc README.rst
%license LICENSE
%{python3_sitelib}/k8sclient
%{python3_sitelib}/*.egg-info

%files -n python-%{pname}-doc
%doc html doc/source/readme.rst

%changelog
* Sat Feb 02 2019 Fedora Release Engineering <releng@fedoraproject.org> - 0.3.0-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Sun Oct 28 2018 Miro Hrončok <mhroncok@redhat.com> - 0.3.0-9
- Subpackage python2-k8sclient has been removed
  See https://fedoraproject.org/wiki/Changes/Mass_Python_2_Package_Removal

* Sat Jul 14 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.3.0-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Tue Jun 19 2018 Miro Hrončok <mhroncok@redhat.com> - 0.3.0-7
- Rebuilt for Python 3.7

* Fri Feb 09 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.3.0-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Thu Jan 25 2018 Iryna Shcherbina <ishcherb@redhat.com> - 0.3.0-5
- Update Python 2 dependency declarations to new packaging standards
  (See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3)

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.3.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.3.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Mon Dec 19 2016 Miro Hrončok <mhroncok@redhat.com> - 0.3.0-2
- Rebuild for Python 3.6

* Mon Sep 12 2016 Haikel Guemar <hguemar@fedoraproject.org> 0.3.0-1
- Update to 0.3.0

